# No-limit Drone server CI pipeline

[![Build Status](https://drone.jfmonty2.com/api/badges/jfmonty2/drone/status.svg)](https://drone.jfmonty2.com/jfmonty2/drone)

The official Docker images provided by the Drone CI project use the Enterprise version, which is
limied to a total of 5000 builds unless the server is in posession of a valid Enterprise license.
For personal or small-company (<$1M yearly revenue) use this limitation can be avoided by compiling
the Drone server with the `nolimit` tag. 

This CI pipeline attempts to build the latest version of the Drone server by:

* Cloning the repository from Github
* Checking out the latest version tag
* Parsing the repository's `.drone.yml` file to determine what Golang image to use
* Compiling with the `nolimit` tag
* Building the Docker image using the included Dockerfile
* Deploying said dockerfile to a private registry
